> **Warning**<br/>
> This list is deprecated in favour of [the official Alfred Gallery](https://alfred.app/).<br/>
> Future submissions should be directed there.

## Contents
- [Communication](#communication)
- [Developer](#developer)
- [Helpers](#helpers)
- [Miscellaneous](#miscellaneous)
- [Multimedia](#multimedia)
- [Productivity](#productivity)
- [Scientific](#scientific)
- [Security](#security)
- [System](#system)
- [Text Manipulation](#text-manipulation)
- [Web](#web)
- [Other Lists](#other-lists)

## Communication
- [Adium](http://www.alfredforum.com/topic/1274-adium-workflow/) - Adium workflow to chat with people on your list.
- [MailTo](https://github.com/deanishe/alfred-mailto) - Quickly compose emails to your contacts and contact groups.
- [Mailsy](https://github.com/BalliAsghar/mailsy-alfred) - Quickly generate a disposable email.
- [Slack](https://github.com/yannickglt/alfred-slack) - Alfred workflow to interact, and perform various functions with the service Slack.
- [TemporaryEmail](https://github.com/vitorgalvao/alfred-workflows/tree/master/TemporaryEmail) - Get a temporary email inbox.
- [Mouseless Messenger](https://github.com/stephancasas/alfred-mouseless-messenger)

## Developer
- [AWS Console Services](https://github.com/rkoval/alfred-aws-console-services-workflow) - Quickly open up AWS Console Services in your browser or search for entities within them.
- [Bootstrap Icons](https://github.com/ruedap/alfred-bootstrap-icons-workflow) - Quickly look up Bootstrap Icons and add the desired one to your clipboard.
- [caniuse](https://github.com/willfarrell/alfred-caniuse-workflow) - Caniuse.com workflow to query HTML / CSS support.
- [caniuse.rs](https://github.com/robjtede/alfred-caniuse-rs) - Rust feature support and version info from [caniuse.rs](https://caniuse.rs).
- [CDN](https://github.com/willfarrell/alfred-cdn-workflow) - Check which CDNs a package is hosted on.
- [Colors](http://www.packal.org/workflow/colors) - Convert color formats & access the OS X color panel.
- [Dash](https://kapeli.com/dash) - Allows you to query Dash for Developer Documentation.
- [DevDocs](https://github.com/yannickglt/alfred-devdocs) - An Alternative to Dash. Allows you query [devdocs.io](https://devdocs.io/) for documentation.
- [Fakeum](https://github.com/deanishe/alfred-fakeum) - Generate all kinds of test data.
- [Font Awesome](https://github.com/ruedap/alfred2-font-awesome-workflow) - Quickly look up font awesome icons and add the desired one to your clipboard.
- [Github](https://github.com/gharlan/alfred-github-workflow) - GitHub command bar, similiar to the command bar in Github.
- [Git Repos](https://github.com/deanishe/alfred-repos) - Search and open the Git repos on your system.
- [JetBrains](https://github.com/bchatard/alfred-jetbrains) - Open project with one of JetBrains' products.
- [Laravel Forge](https://github.com/vmitchell85/alforge) - alForge, Open and run commands on Laravel Forge.
- [mdi](https://github.com/importre/alfred-mdi) - Find [Material Design Icons](https://github.com/google/material-design-icons).
- [npms](https://github.com/sindresorhus/alfred-npms) - Search for npm packages with [npms.io](https://npms.io).
- [ng](https://github.com/SamVerschueren/alfred-ng) - Search through the [angular.io](https://angular.io) documentation.
- [Package Managers](https://github.com/willfarrell/alfred-pkgman-workflow) - Package Repo Search.
- [Packagist](https://github.com/vinkla/alfred-packagist) - Search for PHP packages with [Packagist](https://packagist.org).
- [Source Tree](https://github.com/zhaocai/alfred2-sourcetree-workflow) - List, search, and open Source Tree repositories.
- [Tailwind CSS Docs](https://github.com/techouse/alfred-tailwindcss-docs) - Search the [Tailwind CSS](https://tailwindcss.com/docs/) documentation.
- [VagrantUP](https://github.com/m1keil/alfred-vagrant-workflow) - List and control Vagrant environments with Alfred2.
- [VSCode](https://github.com/alexchantastic/alfred-open-with-vscode-workflow) - An Alfred 4 workflow opening files or folders with Visual Studio Code.

## Text Manipulation
- [Encode / Decode](https://github.com/willfarrell/alfred-encode-decode-workflow) - Transform your query strings through base64, html, url, and utf-8 encode/decode.
- [Funnel](http://www.packal.org/workflow/funnel) - Funnel selected text or a file through various filters.
- [hl](https://github.com/importre/alfred-hl) - Syntax highlight code in the clipboard.
- [HTML Entity Lookup](https://github.com/ajgon/alfred2-html-entity-lookup) - Search for entity characters based on how they look or by name.
- [Pandoctor](https://github.com/smargh/alfred_pandoctor) - Alfred interface to [pandoc](http://pandoc.org), a tool that allows to convert between text formats (Markdown, LaTeX, DOC, DOCX, ...).
- [Unicode Text Search](https://github.com/bevesce/unicode-symbols-search) - Search for Unicode Symbols.
- [VSCodeDiff](https://github.com/logicxd/alfred-vscodediff) - Show the diff of the last 2 items in clipboard history using VSCode.

## Scientific
- [Convert](https://github.com/deanishe/alfred-convert) - Offline conversion of units and (crypto)currencies.
- [DOITools](https://github.com/hbuschme/doi-tools-alfred-workflow/) - Tools to resolve, open, shorten DOI numbers and even convert them to bibtex.
- [Scientific Workflow](https://github.com/andrewning/alfred-workflows-scientific) - Workflows that are useful for scientists: e.g. LaTeX, importing references in bibtex.
- [Skim remote](http://www.packal.org/workflow/skim-remote) - Controls the [Skim PDF Viewer](http://skim-app.sourceforge.net) remotely from Alfred.

## Productivity
- [Google Calendar View](https://github.com/deanishe/alfred-gcal) - View your Google Calendar events.
- [I Sheet You Not](https://github.com/deanishe/i-sheet-you-not) - Generate your own workflows from Excel spreadsheets.
- [iMessage 2FA](https://github.com/squatto/alfred-imessage-2fa) - Find two-factor authentication codes in your recent iMessage messages.
- [PDF Tools](https://github.com/xilopaint/alfred-pdf-tools) - Optimize, encrypt and manipulate PDF files.
- [Things](https://github.com/xilopaint/alfred-things) - Interact with Things 3 using Alfred.
- [Timing](https://github.com/skibitsky/alfred-timing) - Interact with the [Timing](https://timingapp.com/) app.
- [Todoist](https://github.com/moranje/alfred-workflow-todoist) - Add tasks to Todoist.

## Miscellaneous
- [Emoji picker](https://github.com/devnoname120/alfred-emoji-picker) - Fast emoji input.
- [Emoji Snippet Pack](http://joelcalifa.com/blog/alfred-emoji-snippet-pack/) - Snippet Pack for Emojis.
- [Emoj](https://github.com/sindresorhus/alfred-emoj) - Find relevant emoji from text.
- [Gitmoji](https://github.com/techouse/alfred-gitmoji) - Search for [Gitmojis](https://gitmoji.dev) easily.
- [Lorem Ipsum](https://github.com/raarellano/alfred-lorem-ipsum-workflow) - Generate lorem ipsum(...) text from Alfred.
- [Kaomoji](https://github.com/vinkla/alfred-kaomoji) - Find relevant kaomoji from text.
- [Moment](https://github.com/perfectworks/alfred-workflow-moment) - Advanced time utility, inspired by [moment.js](https://momentjs.com).
- [WebScreenshot](https://github.com/vitorgalvao/alfred-workflows/tree/master/WebScreenshot) - Take screenshots directly to imgur.

## Multimedia
- [Spotify Mini Player](http://alfred-spotify-mini-player.com) - Take full control of your [Spotify](https://www.spotify.com) library.

## Security
- [LastPass Vault Manager](https://github.com/bachya/lp-vault-manager) - A workflow to interact with a LastPass vault.
- [Password Generator](https://github.com/deanishe/alfred-pwgen) - Configurable offline password generator.
- [Random MAC](http://www.packal.org/workflow/random-mac) - Assigns a random MAC address to `en0` (e.g. for free wifi).
- [VPN Manager](https://github.com/deanishe/alfred-vpn-manager) - Control [Tunnelblick](https://tunnelblick.net/) and [Viscosity](https://www.sparklabs.com/viscosity/) OpenVPN connections.

## System
- [AppFreeze](https://github.com/vitorgalvao/alfred-workflows/tree/master/AppFreeze) - Pauses and resumes execution of the frontmost app.
- [AppScripts](https://github.com/deanishe/alfred-appscripts) - Search and run JXA/AppleScripts for the active application.
- [Bluetooth Controller](https://github.com/vegardinho/alfred_bluetooth_controller) - Manage bluetooth status and device connectivity.
- [Copy Paths to Clipboard](https://github.com/franzheidl/copy-paths-to-clipboard) - Copy Current File Paths to Clipboard as POSIX, HFS, or File URLs.
- [Finder New item](https://github.com/danielbayley/alfred-finder-new-item) - Swiftly create new items in Finder with support for templates.
- [Fkill](https://github.com/SamVerschueren/alfred-fkill) - Fabulously search and kill processes.
- [Keyboard Maestro](https://github.com/iansinnott/alfred-maestro) - Execute Keyboard Maestro macros from Alfred.
- [Keylue](https://github.com/zhaocai/alfred2-keylue-workflow) - Key Clue, Menu Bar and Keyboard Maestro Hot Key Search
- [Network Info](http://www.packal.org/workflow/network-info) -  Display ip addresses or mac addresses for all network interfaces.
- [SSH](https://github.com/isometry/alfred-ssh/) - Autocompletes SSH sessions based on `~/.ssh/known_hosts`, `~/.ssh/config` and `/etc/hosts`
- [SSH iTerm](https://github.com/hanjm/alfred-ssh-iterm-workflow) - Query `~/.ssh/config` and open ssh host with iTerm badge.
- [Swift Windows Switcher](https://github.com/mandrigin/AlfredSwitchWindows) - Switches between open windows and a browser (Safari/Chrome) tabs.
- [TemporaryMute](http://www.packal.org/workflow/temporary-mute) - Mutes the volume of their computer for a specified duration of time.
- [TerminalFinder](https://github.com/LeEnno/alfred-terminalfinder) - Alfred workflow to open current Finder window in Terminal/iTerm and vice versa.

## Web
- [BugNot](https://github.com/vitorgalvao/alfred-workflows/tree/master/BugNot) - Get logins from bugmenot.
- [IncognitoClone](https://github.com/vitorgalvao/alfred-workflows/tree/master/IncognitoClone) - Opens Chrome’s frontmost tab in an incognito window.
- [Default Browser](https://github.com/wmorland/alfred-py3-default-browser) - Switch the default web browser.
- [Reddit](https://github.com/deanishe/alfred-reddit) - Search and browse subreddits and hot posts within Alfred.

## Helpers

- [Alfred Workflow (for Dart)](https://github.com/techouse/alfred_workflow) - Dart library for writing Alfred workflows. Inspired by [Alfred-Workflow](https://github.com/deanishe/alfred-workflow) for Python.
- [Alfy](https://github.com/sindresorhus/alfy) - Node.js library to create Alfred workflows with ease.
- [AwGo](https://github.com/deanishe/awgo) - Full-featured library for Go to build lightning-fast workflows in a jiffy.
- [Fuzzy Search](https://github.com/deanishe/alfred-fuzzy) - Add fuzzy search to any Script Filter.
- [OneUpdater](https://github.com/vitorgalvao/alfred-workflows/tree/master/OneUpdater) - Minimal Configuration method in adding auto-updating to your workflow.

## Other Lists
Here are a list of other collections of alfred collections which are useful.

- [Ctwise Alfred Workflows](https://github.com/ctwise/alfred-workflows) - Workflows from the Github user "ctwise".
- [Packal](http://www.packal.org/) - The biggest place to find Workflows.
- [PacMax](https://pacmax.org/) – Pacmax was assembled as a way for Alfred lovers to find and share their favorite workflows, snippets, and themes.
- [Vítor Galvão’s Alfred Workflows](https://github.com/vitorgalvao/alfred-workflows/) - Workflows from the Github user "vitorgalvao".

## Contributing
[See the guide](https://github.com/derimagia/awesome-alfred-workflows/blob/master/CONTRIBUTING.md)

## License
<a rel="license" href="http://creativecommons.org/publicdomain/mark/1.0/">
<img src="http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg"
     style="border-style: none;" alt="Public Domain Mark" />
</a>

To the extent possible under law, [David Wikoff](https://github.com/derimagia) has waived all copyright and related or neighboring rights to this work.

To the extent possible under law, [Daniel Pittman (SlippyCheeze)](https://github.com/slippycheeze) has waived all copyright and related or neighboring rights to this work.
